(require 'flange-util)


(defvar phalange-state '())

(defun phalange-signal-event (event)
  (and phalange-state
       (funcall phalange-state event)))


(defun set-state (state)
  (let ((state-name (symbol-concat 'phalange-state state)))
    (if (fboundp state-name)
	(setq phalange-state state-name)
      (cerror "State %S is not defined" state))
    ))

(provide 'flange-state)